import { Meta, Typeset, Story, Canvas } from '@storybook/blocks';
import { width } from './util/decorator';
import { cuiDemo } from './util/demo';
import { demoVisibility } from './util/utilities';
import * as UtilitiesVisibilityStories from './Utilities-visibility.stories';

<Meta of={UtilitiesVisibilityStories} />

# Visibility

Visually hide an element while still allowing it to be exposed to assistive technologies (such as screen readers) with `.cui-visually-hidden`. Use `.cui-visually-hidden-focusable` to visually hide an element by default, but to display it when it’s focused (e.g. by a keyboard-only user). `.cui-visually-hidden-focusable` can also be applied to a container – thanks to `:focus-within`, the container will be displayed when any child element of the container receives focus.

Both `cui-visually-hidden` and `cui-visually-hidden-focusable` can also be used as **mixins**.

<Canvas withSource="open">
  <Story of={UtilitiesVisibilityStories.Visibility} />
</Canvas>
